--- /usr/share/asciidoc/asciidocapi.py.orig	2019-11-19 08:27:07.987333977 +0100
+++ /usr/share/asciidoc/asciidocapi.py	2019-11-24 08:23:19.141730508 +0100
@@ -239,9 +239,13 @@
                     import imp
                     module = imp.load_source('asciidoc', self.cmd)
                 else:
-                    import importlib.util
-                    spec = importlib.util.spec_from_file_location('asciidoc', self.cmd)
-                    module = importlib.util.module_from_spec(spec)
+                    # Thanks to Mad Physicist for this solution, read on 2019-11-19
+                    # https://stackoverflow.com/questions/2601047/import-a-python-module-without-the-py-extension/43602645#43602645
+                    from importlib.util import spec_from_loader, module_from_spec
+                    from importlib.machinery import SourceFileLoader
+                    loader = SourceFileLoader('asciidoc', self.cmd)
+                    spec = spec_from_loader('asciidoc', loader)
+                    module = module_from_spec(spec)
                     spec.loader.exec_module(module)
                 self.asciidoc = module
             except ImportError:
